Package org.apache.nutch.util

## Class ObjectCache

- java.lang.Object
- - org.apache.nutch.util.ObjectCache

-     public class ObjectCache
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ObjectCache` | `get​(Configuration conf)` |
    `Object` | `getObject​(String key)` |
    `boolean` | `hasObject​(String key)` |
    `void` | `setObject​(String key, Object value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### get

          public static ObjectCache get​(Configuration conf)

    - #### getObject

          public Object getObject​(String key)

    - #### hasObject

          public boolean hasObject​(String key)

    - #### setObject

          public void setObject​(String key,
                                Object value)